<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_projects_edit, App_Web_wrkopt0p" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="leftcontent">
    
        <h2 class="title no_space_under"></h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />        
        
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Your changes have been saved.</p>
            </div>
        </asp:Panel>
        
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>

            <fieldset>
                <legend>Project Information</legend>
                <table cellpadding="3" border="0">
                    <tr>
                        <td width="150" nowrap="nowrap"><div align="right">Active:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:DropDownList ID="dnv_status_id" CssClass="lblDrop" DataTextField="status" DataValueField="status" AutoPostBack="true" runat="server" /></td>
                    </tr>
                    <tr><td>
						<div align="right">Division/Location:&nbsp;<span class="required">*</span></div></td>
                    <td align="left">
                    <asp:dropdownlist id="DropDownList1" runat="server" Width="200px" CssClass="lblDrop" AutoPostBack="True" />
                    </td>
                    </tr>
					<tr>
						<td nowrap="nowrap" valign="top"><div align="right">Project Number:&nbsp;<span class="required">*</span></div></td>
						<td><asp:TextBox Width="280" ID="P_Name" CssClass="lblDrop" runat="server" />
						<br />Example: Division + Job Number + Revision = 672000100</td>
					</tr>
					<tr>
						<td nowrap="nowrap"><div align="right">Description:&nbsp;<span class="required">*</span></div></td>
						<td><asp:TextBox Width="280" ID="P_Description" CssClass="lblDrop" runat="server" /></td>
					</tr>
					<tr>
                        <td nowrap="nowrap"><div align="right">Budget:&nbsp;<span class="required">*</span></div></td>
                        <td><asp:TextBox Width="280" MaxLength="50" ID="P_Budget" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                    <tr>
                        <td width="150" nowrap="nowrap"><div align="right">Billable:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:DropDownList ID="dnv_billable_id" DataTextField="status" DataValueField="status" CssClass="lblDrop" AutoPostBack="true" runat="server" /></td>
                    </tr>

                    <tr>
                        <td width="150" nowrap="nowrap"><div align="right">Deleted:&nbsp;&nbsp;</div></td>
                        <td class="label"><asp:DropDownList ID="dnv_deleted_id" DataTextField="status" DataValueField="status" AutoPostBack="true" runat="server" Enabled="false" CssClass="noback" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><div align="right">Date Added:&nbsp;&nbsp;</div></td>
                        <td><asp:label Width="280" MaxLength="50" ID="P_DateAdded" CssClass="lblDrop" runat="server" /></td>
                    </tr>
                </table>
                
<asp:Panel ID="pnl_Notes" Visible="false" runat="server">
<table cellpadding="3" border="0">
    <tr>
        <td nowrap="nowrap"><div align="right"><span class="required">Note:</span></div></td>
        <td class="label"><asp:label ID="lblNote" Text="Project is assigned to purchase order!" runat="server" visible="true"/></td>
    </tr>
</table>
</asp:Panel>


<asp:Panel ID="pnl_Variables" Visible="false" runat="server">
Active=&nbsp;<asp:label ID="P_Active" runat="server" visible="true"/>
Billable=&nbsp<asp:label ID="P_Billable" CssClass="lblDrop" runat="server" visible="true"/>
Deleted=&nbsp<asp:label ID="P_Deleted" CssClass="lblDrop" runat="server" visible="true"/>

&nbsp;<asp:label ID="P_DivID" runat="server" visible="true"/>
&nbsp;<asp:label ID="P_CompanyID" runat="server" visible="true"/>
&nbsp;<asp:label ID="P_Company" runat="server" visible="true"/>
<asp:TextBox Width="280" ID="P_DivNumber" CssClass="lblDrop" Enabled="false" runat="server" visible="true"/>
<asp:TextBox Width="280" ID="P_DivName" CssClass="lblDrop" Enabled="false" Visible="true" runat="server" />
</asp:Panel>                
                <asp:RequiredFieldValidator ID="r1" runat="server" ErrorMessage="The division number is required." ControlToValidate="P_DivNumber" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r2" runat="server" ErrorMessage="The division name is required." ControlToValidate="P_DivName" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r3" runat="server" ErrorMessage="The project number is required." ControlToValidate="P_Name" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r4" runat="server" ErrorMessage="The project decsription is required." ControlToValidate="P_Description" EnableClientScript="false" />
                <asp:RequiredFieldValidator ID="r5" runat="server" ErrorMessage="The budget is required." ControlToValidate="P_Budget" EnableClientScript="false" />

             </fieldset>
               <table cellpadding="2" border="0" >
                    <tr>
                        <td width="100%" >
                            &nbsp;<asp:Button runat="server" Text="Save Changes" id="cmd_save" OnClick="cmd_save_Click" />
							&nbsp;<asp:button runat="server" Text="Refresh" id="cmd_refresh" OnClick="cmd_refresh_Click"></asp:button>&nbsp;
                        </td>
                 </tr>
                </table>            
    </div>    
         
</asp:Content>
