<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_reports_paymentspo, App_Web_tlzm-tzv" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="leftcontent">

        <fieldset>
            <legend>Payments Report Criteria</legend>
            <asp:DropDownList ID="y" runat="server" CssClass="lblDrop" AutoPostBack="true"></asp:DropDownList>
            <asp:DropDownList ID="dnv_paymentspo_types_id" CssClass="lblDrop" runat="server" AutoPostBack="true"></asp:DropDownList>
            
        </fieldset>

        <asp:PlaceHolder id="chart" runat="server"></asp:PlaceHolder>

    </div>
    <div id="rightcontent">
    
        <fieldset>
            <legend>Monthly Payments Totals</legend>
            <table width="100%" cellpadding="3">
                <tr>
                    <td><strong>Month</strong></td>
                    <td style="text-align: right;">Payments</td>
                </tr>
            
            <asp:Repeater ID="rptMonths" runat="server">
                <ItemTemplate>
                    <tr class="shaded">
                        <td><strong><%#Eval("month")%></strong></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("total"), 2)%></td>
                    </tr>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td><strong><%#Eval("month")%></strong></td>
                        <td style="text-align: right;"><%# FormatCurrency(Eval("total"), 2) %></td>
                    </tr>
                </AlternatingItemTemplate>
                <FooterTemplate>
                    <tr class="action">
                        <td><strong>Total</strong></td>
                        <td style="text-align: right;"><strong><%= FormatCurrency(ViewState("total"), 2) %></strong></td>
                    </tr>
                </FooterTemplate>
            </asp:Repeater>
            
            </table>
        </fieldset>
    
    </div>
    
</asp:Content>