<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_reports_detailedpo, App_Web_tlzm-tzv" title="iPurchaseOrder v1.0 Administration" %>
<%@ Register TagPrefix="ew" Namespace="eWorld.UI.Compatibility" Assembly="eWorld.UI.Compatibility" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="content_full">
    
        <h2 class="title no_space_under">Detailed Report</h2>
        
        <asp:Panel ID="pnl_none" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> No vendors were found using that search criteria.</p>
            </div>
        </asp:Panel>

<asp:Panel id="pnl_txtBoxError" visible="false" runat="server">
    <div align="center">
	    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
	</div>
</asp:Panel>
        
        <asp:Panel id="pnl_filters" runat="server" Width="75%">
            <fieldset>
                <legend>Detailed Purchases Report</legend>
                <table id="tbl_filters" width="100%" cellpadding="3" cellspacing="4" border="0" runat="server" visible="true">
                    <tr>
                        <td>Vendor</td>
                        <td>Division/Location</td>
                        <td>Date Range</td>
                        <td>Status</td>
                    </tr>
                    <tr>
                        <td><asp:DropDownList id="dnv_vendors_id" CssClass="lblDrop" runat="server" ToolTip="Select vendor" /></td>
                        <td><asp:DropDownList id="dnv_divisions_id" Width="125px" CssClass="lblDrop" runat="server" ToolTip="Select division" /></td>
                        <td nowrap="nowrap"><ew:CalendarPopup runat="server" id="date_start" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" />&nbsp;<b>-</b>&nbsp;<ew:CalendarPopup runat="server" id="date_end" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" />
                        &nbsp;<asp:DropDownList CssClass="lblDrop" AutoPostBack="true" ID="date_range" runat="server" ToolTip="Select date range">
                            <asp:ListItem>Select Date Range..</asp:ListItem>
                            <asp:ListItem>Today</asp:ListItem>
                            <asp:ListItem>Yesterday</asp:ListItem>
                            <asp:ListItem>This Week</asp:ListItem>
                            <asp:ListItem>Last Week</asp:ListItem>
                            <asp:ListItem>This Month</asp:ListItem>
                            <asp:ListItem>Last Month</asp:ListItem>
                            <asp:ListItem>This Year</asp:ListItem>
                            <asp:ListItem>Last Year</asp:ListItem>
                            <asp:ListItem>All Time</asp:ListItem>
                        </asp:DropDownList></td>
                        <td><asp:DropDownList id="dnv_status_id" CssClass="lblDrop" runat="server" ToolTip="Select PO status" /></td>
                    </tr>
                    <tr>
                        <td colspan="4"><asp:Button ID="btn" runat="server" Text="Search" />
                        &nbsp;<asp:button runat="server" Text="Reset" id="cmd_reset" OnClick="cmd_reset_Click"></asp:button>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4"></td>
                    </tr>
                </table>                
            </fieldset>
        </asp:Panel>

     <div>
    <asp:Panel ID="pnl_Variables" Visible="false" runat="server">
    DivID=&nbsp;<asp:label ID="P_DivID" runat="server" visible="true"/>
    </asp:Panel>
    </div>
   
        <asp:Repeater ID="rpt" runat="server">
            <HeaderTemplate>
                <br />
                <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr class="title">
                        <td colspan="17"><h2>Search Results</h2></td>
                    </tr>
                    <tr class="header">
                        <th class="rpt_hdr" nowrap="nowrap" width="50">ID</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Division</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Department</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Project</th>
                        <th class="rpt_hdr" nowrap="nowrap">Budget</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Name</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Company</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Created</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Due</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Status</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Amount</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Discounts</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Subtotal</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Shipping</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Tax</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Tax 2</th>
                        <th class="rpt_hdr_right" nowrap="nowrap">Total</th>
                    </tr>
            </HeaderTemplate>
            <ItemTemplate>
                    <tr class="shaded">
                        <td align="left" nowrap="nowrap" style="padding:5px 0 0 5px"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("divisionData.divnumber")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("departmentData.PName")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("projectData.PName")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatCurrency(Eval("projectData.PBudget"), 2)%></td>
                        <td nowrap="nowrap"><%#Eval("vendorData.LastName")%>, <%#Eval("vendorData.FirstName")%></td>
                        <td nowrap="nowrap"><%#Eval("vendorData.Company")%></td>
                        <td nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("PurchaseDate")), DateFormat.ShortDate)%></td>
                        <td nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), DateFormat.ShortDate)%></td>
                        <td nowrap="nowrap"><%#Eval("status")%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Subtotal"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Discounts"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Subtotal") - Eval("Discounts"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Shipping"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("TaxAmount"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Tax2Amount"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("purchaseTotal"), 2)%></td>
                    </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td align="left" nowrap="nowrap" style="padding:5px 0 0 5px"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("divisionData.divnumber")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("departmentData.PName")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("projectData.PName")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatCurrency(Eval("projectData.PBudget"), 2)%></td>
                        <td nowrap="nowrap"><%#Eval("vendorData.LastName")%>, <%#Eval("vendorData.FirstName")%></td>
                        <td nowrap="nowrap"><%#Eval("vendorData.Company")%></td>
                        <td nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("PurchaseDate")), DateFormat.ShortDate)%></td>
                        <td nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), DateFormat.ShortDate)%></td>
                        <td nowrap="nowrap"><%#Eval("status")%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Subtotal"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Discounts"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Subtotal") - Eval("Discounts"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Shipping"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("TaxAmount"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("Tax2Amount"), 2)%></td>
                        <td nowrap="nowrap" class="right"><%#FormatCurrency(Eval("purchaseTotal"), 2)%></td>
                    </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                    <tr class="action">
                        <td colspan="10"><strong>Totals</strong></td>
                        <td class="right"><strong><%#FormatCurrency(ViewState("amount"), 2)%></strong></td>
                        <td class="right"><strong><%#FormatCurrency(ViewState("discounts"), 2)%></strong></td>
                        <td class="right"><strong><%#FormatCurrency(ViewState("subtotal"), 2)%></strong></td>
                        <td class="right"><strong><%#FormatCurrency(ViewState("shipping"), 2)%></strong></td>
                        <td class="right"><strong><%#FormatCurrency(ViewState("tax"), 2)%></strong></td>
                        <td class="right"><strong><%#FormatCurrency(ViewState("tax_2"), 2)%></strong></td>
                        <td class="right"><strong><%#FormatCurrency(Convert.ToDecimal(ViewState("amount")) - Convert.ToDecimal(ViewState("discounts")) + Convert.ToDecimal(ViewState("shipping")) + Convert.ToDecimal(ViewState("tax")) + Convert.ToDecimal(ViewState("tax_2")), 2)%></strong></td>
                    </tr>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    
    </div>
        
</asp:Content>